<?php
/**
 * Template part for displaying creative posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Winedine
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'posts-list__item creative-item' ); ?>>

	<div class="creative-item__content">

		<header class="entry-header">
			<h2 class="entry-title"><?php
				winedine_sticky_label();
				the_title( '<a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a>' );
			?></h2>
		</header><!-- .entry-header -->

		<?php winedine_post_excerpt(); ?>

	</div>

	<footer class="entry-footer">
		<div class="entry-meta">
			<div>
				<?php
					winedine_posted_by();
					winedine_posted_in( array(
						'prefix'    => __( 'In', 'winedine' ),
					) );
					winedine_posted_on( array(
						'prefix' => __( 'Posted', 'winedine' )
					) );
					winedine_post_tags( array(
						'prefix' => __( 'Tags:', 'winedine' )
					) );
					winedine_post_comments( array(
						'postfix' => __( 'Comment(s)', 'winedine' )
					) );
				?>
			</div>
			<?php
				winedine_post_link();
			?>
		</div>
		<?php winedine_edit_link(); ?>
	</footer><!-- .entry-footer -->

</article><!-- #post-<?php the_ID(); ?> -->
